repo/gentoo:master commit in: www-client/microsoft-edge-beta/

"Matt Jolly" <[email protected]>
Newsgroups gmane.linux.gentoo.cvs
Message-ID <1787043278.bf9c9bbdbc82bb983af0585ef265084d48ac86fd.kangie@gentoo>
commit:     bf9c9bbdbc82bb983af0585ef265084d48ac86fd
Author:     Matt Jolly <kangie <AT> gentoo <DOT> org>
AuthorDate: Tue Aug 18 08:54:38 2026 +0000
Commit:     Matt Jolly <kangie <AT> gentoo <DOT> org>
CommitDate: Tue Aug 18 08:54:38 2026 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=bf9c9bbd

www-client/microsoft-edge-beta: automated bump (152.0.4191.19)

Signed-off-by: Matt Jolly <kangie <AT> gentoo.org>

 www-client/microsoft-edge-beta/Manifest            |   1 +
 .../microsoft-edge-beta-152.0.4191.19.ebuild       | 125 +++++++++++++++++++++
 2 files changed, 126 insertions(+)

diff --git a/www-client/microsoft-edge-beta/Manifest b/www-client/microsoft-edge-beta/Manifest
index 1094240c91b9..59b54c834927 100644
--- a/www-client/microsoft-edge-beta/Manifest
+++ b/www-client/microsoft-edge-beta/Manifest
@@ -1,3 +1,4 @@
 DIST microsoft-edge-beta_151.0.4129.54-1_amd64.deb 191405294 BLAKE2B a8e0058ae7fdeb01203f34aa66424c416fea2d0d8a98f1628d199ec94a850aca6d0fe8ec90a0e96a67aaa5f7dd7558b1bf327cd5dcd5788518336fe3df34e09b SHA512 855ea4f57c82e0de772ef36d9955946522162af2bd6a10f127b9ffd38304e44f78adc7b17c45a26c5d8d095821e6fb40bfd11fbfdbe9d04116d5733adab3218d
 DIST microsoft-edge-beta_151.0.4129.59-1_amd64.deb 191506970 BLAKE2B 9ce01f9139e3921b84dd90e624f70c4cd89b280c7ca5f1a7389d56d2bf8954ab13043c8c2bf537db28cd1e57fb129c602b17987d05fac9be066a3eb80dfba78e SHA512 c65aeb1a36cfdb5e6f9f9a2289e33c43b57f720a6e7e1fbf34380da7662b5046a5a826bcb2b5b96e5c916803512098c38b68756dda4ac97e1fba4d0d26af188b
 DIST microsoft-edge-beta_152.0.4191.10-1_amd64.deb 195085630 BLAKE2B fda6eb7feaf4fdd3605c1501edc459d2a56fbe9df6175f2883dfe5168ae97c9e2398e620731d0871252409685146caafb428305bb5ecb56bd72067ce3eba46c1 SHA512 ae4912040694be2f5e2a63868dc950698310d179d05b8f69bcb0e9211a22656398ac9b9b93b6f109e100514bfed892c28a7a51674c06daa02423c19da0ec70fb
+DIST microsoft-edge-beta_152.0.4191.19-1_amd64.deb 195169714 BLAKE2B 26bc9a9125da25c0b8f03b3fb809f5cd3e0cb69eb6c2a84d035833999ce5962e0046ace7a23eef0dc3981853b4c3a60f7245fb812c718354b64b6ffa86bf6c4f SHA512 762287ed3f6f208bffc243d3292b4fa97ef350b7e3f2bf488ce94fa5b6499a6a958c48dfe659312cf07dd40c4cae93582c85774f4c869a1f1c73d0db873d63c7

diff --git a/www-client/microsoft-edge-beta/microsoft-edge-beta-152.0.4191.19.ebuild b/www-client/microsoft-edge-beta/microsoft-edge-beta-152.0.4191.19.ebuild
new file mode 100644
index 000000000000..4a155cc26040
--- /dev/null
+++ b/www-client/microsoft-edge-beta/microsoft-edge-beta-152.0.4191.19.ebuild
@@ -0,0 +1,125 @@
+# Copyright 2011-2026 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI="8"
+
+inherit chromium-2 desktop pax-utils unpacker xdg
+
+DESCRIPTION="The web browser from Microsoft"
+HOMEPAGE="https://www.microsoft.com/edge"
+
+if [[ ${PN} == microsoft-edge ]]; then
+	MY_PN=${PN}-stable
+else
+	MY_PN=${PN}
+fi
+
+MY_P="${MY_PN}_${PV}-1"
+SRC_URI="https://packages.microsoft.com/repos/edge/pool/main/m/${MY_PN}/${MY_P}_amd64.deb"
+S=${WORKDIR}
+
+LICENSE="microsoft-edge"
+SLOT="0"
+KEYWORDS="-* ~amd64"
+
+IUSE="+mip qt6"
+RESTRICT="bindist mirror strip"
+
+RDEPEND="
+	>=app-accessibility/at-spi2-core-2.46.0:2
+	app-misc/ca-certificates
+	dev-libs/expat
+	dev-libs/glib:2
+	dev-libs/nspr
+	dev-libs/nss
+	media-fonts/liberation-fonts
+	media-libs/alsa-lib
+	media-libs/mesa[gbm(+)]
+	net-misc/curl[ssl]
+	net-print/cups
+	sys-apps/dbus
+	sys-apps/util-linux
+	sys-libs/glibc
+	x11-libs/cairo
+	x11-libs/gdk-pixbuf:2
+	x11-libs/gtk+:3[X]
+	x11-libs/libdrm
+	x11-libs/libX11
+	x11-libs/libXcomposite
+	x11-libs/libXdamage
+	x11-libs/libXext
+	x11-libs/libXfixes
+	x11-libs/libXrandr
+	x11-libs/libxcb
+	x11-libs/libxkbcommon
+	x11-libs/libxshmfence
+	x11-libs/pango
+	x11-misc/xdg-utils
+	mip? (
+		app-crypt/libsecret
+		|| ( dev-libs/libxml2-compat:2/2 dev-libs/libxml2:2/2 )
+	)
+	qt6? ( dev-qt/qtbase:6[gui,widgets] )
+"
+
+QA_PREBUILT="*"
+QA_DESKTOP_FILE="usr/share/applications/microsoft-edge.*\\.desktop"
+EDGE_HOME="opt/microsoft/msedge${PN#microsoft-edge}"
+
+pkg_nofetch() {
+	eerror "Please wait 24 hours and sync your tree before reporting a bug for microsoft-edge fetch failures."
+}
+
+pkg_pretend() {
+	# Protect against people using autounmask overzealously
+	use amd64 || die "microsoft-edge only works on amd64"
+}
+
+pkg_setup() {
+	chromium_suid_sandbox_check_kernel_config
+}
+
+src_unpack() {
+	:
+}
+
+src_install() {
+	dodir /
+	cd "${ED}" || die
+	unpacker
+
+	rm -f _gpgorigin || die
+
+	mv usr/share/doc/${MY_PN} usr/share/doc/${PF} || die
+
+	# Microsoft Edge comes with its own bundled cron
+	# scripts which invoke `apt` directly. Useless on Gentoo!
+	rm -r etc/cron.daily || die "Failed to remove cron scripts"
+	rm -r "${EDGE_HOME}"/cron || die "Failed to remove cron scripts"
+
+	gzip -d usr/share/doc/${PF}/changelog.gz || die
+	gzip -d usr/share/man/man1/${MY_PN}.1.gz || die
+	if [[ -L usr/share/man/man1/${PN}.1.gz ]]; then
+		rm usr/share/man/man1/${PN}.1.gz || die
+		dosym ${MY_PN}.1 usr/share/man/man1/${PN}.1
+	fi
+
+	local size
+	# channel suffix: "" stable, "_channel" for beta/dev.
+	local channel=${PN#microsoft-edge}
+	channel=${channel/-/_}
+	for size in 16 24 32 48 64 128 256 ; do
+		newicon -s ${size} "${EDGE_HOME}/product_logo_${size}${channel}.png" ${PN}.png
+	done
+
+	if ! use mip; then
+		rm "${EDGE_HOME}"/libmip_core_gn.so || die
+	fi
+
+	rm "${EDGE_HOME}/libqt5_shim.so" || die
+	if ! use qt6; then
+		rm "${EDGE_HOME}/libqt6_shim.so" || die
+	fi
+
+	pax-mark m "${EDGE_HOME}/msedge"
+}
lmpx.com only provides a reader for public news (NNTP) servers. It is not affiliated with the servers or forums shown here and is not responsible for the content of articles, which is written by their respective authors.